searchData={"items":[{"type":"module","doc":"This module implements the x86_32, x86_128 and x64_128 variants of the\nnon-cryptographic hash Murmur3.","title":"Murmur","ref":"Murmur.html"},{"type":"module","doc":"iex> Murmur.hash_x86_32(\"b2622f5e1310a0aa14b7f957fe4246fa\", 2147368987)\n    3297211900\n\n    iex> Murmur.hash_x86_128(\"some random data\")\n    5586633072055552000169173700229798482\n\n    # hashes of erlang terms change between erlang versions\n    # iex> Murmur.hash_x64_128([:yes, :you, :can, :use, :any, :erlang, :term!])\n    # => 300414073828138369336317731503972665325","title":"Examples - Murmur","ref":"Murmur.html#module-examples"},{"type":"function","doc":"Returns the hashed erlang term `data` using an optional `seed` which defaults to `0`.\n\nThis function uses the x64 128bit variant.","title":"Murmur.hash_x64_128/2","ref":"Murmur.html#hash_x64_128/2"},{"type":"function","doc":"Returns the hashed erlang term `data` using an optional `seed` which defaults to `0`.\n\nThis function uses the x86 32bit variant.","title":"Murmur.hash_x86_32/2","ref":"Murmur.html#hash_x86_32/2"},{"type":"function","doc":"Returns the hashed erlang term `data` using an optional `seed` which defaults to `0`.\n\nThis function uses the x86 128bit variant.","title":"Murmur.hash_x86_128/2","ref":"Murmur.html#hash_x86_128/2"},{"type":"extras","doc":"Murmur\n======\n\n[![test](https://github.com/preciz/murmur/actions/workflows/test.yml/badge.svg)](https://github.com/preciz/murmur/actions/workflows/test.yml)\n\nMurmur is a pure Elixir implementation of the non-cryptographic hash [Murmur3](https://code.google.com/p/smhasher/wiki/MurmurHash3).\n\nIt aims to implement the x86_32bit, x86_128bit and x64_128bit variants.\n\n# Usage\n\nAdd Murmur as a dependency in your mix.exs file.\n\n```elixir\ndef deps do\n  [{:murmur, \"~> 1.0\"}]\nend\n```\n\n# Examples\n\n```elixir\niex> Murmur.hash_x86_32(\"b2622f5e1310a0aa14b7f957fe4246fa\", 2147368987)\n3297211900\n\niex> Murmur.hash_x86_128(\"some random data\")\n5586633072055552000169173700229798482\n\n# iex> Murmur.hash_x64_128([:yes, :you, :can, :use, :any, :erlang, :term!])\n# => 300414073828138369336317731503972665325\n# keep in mind that hashes of erlang terms may change between erlang versions\n```","title":"Murmur","ref":"readme.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}